-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

-- When you're having locking/blocking problems you might want to use stored procedures
-- instead of the "Current Activity Window" in SQL EM. The graphical representation of who
-- is blocking whom is really great however, once you get into production it's probably too
-- graphical to be useful (too long to render all of those connections, etc.)

-- SO - can you get the same information? YES! though sps, etc.

--Use in a grid for better display
sp_who
EXEC sp_who2 --favorite because of the additional columns of last_batch/cpu/disk io
EXEC sp_lock
go

DBCC INPUTBUFFER(56) -- text mode is better for this

-- Nice way to get information about WHO they are even if they're NOT logged in via Windows Auth.
SELECT sp.nt_username 
FROM master.dbo.sysprocesses AS sp
WHERE sp.spid = 53

-- ONLY sysadmins can do this one (by default)
master..xp_cmdshell 'net send HOSTNAME hello world'

-- This command will terminate the connection:
kill <spid>

-- Check out KB Article Q271509 for 
-- how to resolve more complex blocking chains
-- The code for the proc below is in that KB Article

-- Also, make sure to read KB Q832977 as there are some potential conflicts
-- with one of the DBCC (DBCC PSS) commands called by this sp. If you have the
-- latest version (in 271509) you shouldn't run into this problem.

EXEC dbo.sp_blocker_pss80