-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

-- Which two of the following queries return the same results:
--	Hint - the answer is EITHER 1 and 2 OR 1 and 3
-- Which are you having the hardest time with?

SELECT t.type, t.title, t.pub_id, t.price
FROM pubs.dbo.titles AS t
WHERE t.type = 'business' OR t.title LIKE '%comp%'
	AND t.price > 19.99

SELECT t.type, t.title, t.pub_id, t.price
FROM pubs.dbo.titles AS t
WHERE (t.type = 'business' OR t.title LIKE '%comp%')
	AND t.price > 19.99

SELECT t.type, t.title, t.pub_id, t.price
FROM pubs.dbo.titles AS t
WHERE t.type = 'business' OR (t.title LIKE '%comp%'
	AND price > 19.99)

-- Moral of the story - parens and for better readability consider
-- breaking the SARGs into separate lines

SELECT t.type, t.title, t.pub_id, t.price
FROM pubs.dbo.titles AS t
WHERE t.type = 'business' 
	OR (t.title LIKE '%comp%' AND t.price > 19.99)