-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


USE TestDB -- Make sure you use a Testing Database!
go

CREATE PROC dbo.TestDependency1
AS
SELECT * FROM pubs.dbo.authors
go

CREATE PROC dbo.TestDependency2
AS
EXEC dbo.TestDependency1
go

CREATE PROC dbo.TestDependency3
AS
EXEC dbo.TestDependency2
go

exec sp_depends 'dbo.TestDependency1'
-- REFERENCES: shows nothing because it references objects outside the current db
-- REFERENCED: TestDependency2

exec sp_depends 'dbo.TestDependency2'
-- REFERENCES: TestDependency1
-- REFERENCED: TestDependency3

exec sp_depends 'dbo.TestDependency3'
-- REFERENCES: TestDependency2

-- First test - use alter to recreate TestDependency2 
-- do the dependencies stay intact?

ALTER PROC dbo.TestDependency2
AS
EXEC dbo.TestDependency1
SELECT * FROM pubs.dbo.authors
go
